// ResourceBrowserDoc.cpp : implementation of the CResourceBrowserDoc class
//

#include "stdafx.h"
#include "ResourceBrowser.h"

#include "ResourceBrowserDoc.h"

#include <Adept\Adept.hpp>
#include <Stuff\Stuff.hpp>

using namespace Stuff;

/////////////////////////////////////////////////////////////////////////////
// CResourceBrowserDoc

IMPLEMENT_DYNCREATE(CResourceBrowserDoc, CDocument)

BEGIN_MESSAGE_MAP(CResourceBrowserDoc, CDocument)
	//{{AFX_MSG_MAP(CResourceBrowserDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResourceBrowserDoc construction/destruction

CResourceBrowserDoc::CResourceBrowserDoc()
{
}

CResourceBrowserDoc::~CResourceBrowserDoc()
{
}

BOOL CResourceBrowserDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CResourceBrowserDoc serialization

void CResourceBrowserDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
	}
	else
	{
	}
}

/////////////////////////////////////////////////////////////////////////////
// CResourceBrowserDoc diagnostics

#ifdef _DEBUG
void CResourceBrowserDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CResourceBrowserDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CResourceBrowserDoc commands

